## base-passwd 3.5.18

=== debian/changelog ===
base-passwd (3.5.18) unstable; urgency=low

  * Convert manual pages to UTF-8.
  * Update DEB_BUILD_OPTIONS parsing code from policy 3.8.0.
  * Update a few copyright notices.
  * Convert to machine-readable copyright format, wiki revision 179.
  * Update to new section hierarchy from doc-base >= 0.8.10.

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Jul 2008 15:11:07 +0100

base-passwd (3.5.17) unstable; urgency=low

  * hal was renamed to haldaemon in hal 0.5.7.1-1 (closes: #452631).
  * Make the description of plugdev in users-and-groups slightly more
    generic; I don't want to end up having to list all the programs that
    implement it, but "can access removable devices" should be good enough
    (closes: #285732).
  * Add Russian translation of update-passwd(8) (thanks, Yuri Kozlov;
    closes: #461732).

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jan 2008 14:43:50 +0000

## base-passwd 3.5.20

=== debian/changelog ===
base-passwd (3.5.20) unstable; urgency=medium

  * Document that the staff group is typically root-equivalent (thanks, Guy
    Hulbert).

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Feb 2009 16:20:12 +0000

base-passwd (3.5.19) unstable; urgency=low

  * Allocate uid/gid 64035 for hacluster/haclient (Horms, closes: #494070).
  * Moved to bzr.debian.org; add Vcs-Bzr control field.

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Sep 2008 15:27:12 +0100

## base-passwd 3.5.21

=== debian/changelog ===
base-passwd (3.5.21) unstable; urgency=low

  * Set up the root user without a password by default, rather than giving
    it an empty password. In this day and age the latter is not really a
    defensible default (LP: #296841).
  * Update description of dip group, based on a suggestion by Osamu Aoki
    (closes: #512938).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Mar 2009 13:37:23 +0000

=== debian/rules ===
#! /usr/bin/make -f

# Debian package information
package		= base-passwd
docdir		= /usr/share/doc/$(package)
tmpdir		= $(shell pwd)/debian/tmp

# Other stuff
SHELL		= /bin/bash

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  confflags += --build=$(DEB_HOST_GNU_TYPE)
else
  confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

.PHONY: all build
all build: Makefile
	$(MAKE) 
	$(MAKE) -C doc
	$(MAKE) -C man

.PHONY: clean
clean:
	# make sure the POT and POs are up to date
	$(MAKE) -C man update

	-$(MAKE) mrproper
	$(MAKE) -C doc clean
	$(MAKE) -C man clean
	rm -rf debian/tmp debian/files debian/substvars

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS := -g -O2 -Wall
else
CFLAGS := -g -Wall
endif

Makefile: Makefile.in configure.ac
	CFLAGS="$(CFLAGS)" ./configure $(confflags)

.PHONY: binary
binary: binary-arch binary-indep

.PHONY: binary-indep
binary-indep:
	@echo Nothing to do

.PHONY: binary-arch
binary-arch: build
	test "`id -u`" -eq 0
	-rm -rf debian/tmp debian/files debian/substvars

	install -d -m 755 -o root -g root debian/tmp/usr/sbin
	install -p -m 755 -o root -g root update-passwd debian/tmp/usr/sbin/

ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	strip --strip-unneeded --remove-section=.comment \
		--remove-section=.note debian/tmp/usr/sbin/update-passwd
endif

	install -d -m 755 -o root -g root \
		debian/tmp/usr/share/man/man8 \
		debian/tmp/usr/share/man/fr/man8 \
		debian/tmp/usr/share/man/pl/man8 \
		debian/tmp/usr/share/man/ru/man8
	install -p -m 644 -o root -g root man/update-passwd.8 \
		debian/tmp/usr/share/man/man8/
	install -p -m 644 -o root -g root man/update-passwd.fr.8 \
		debian/tmp/usr/share/man/fr/man8/update-passwd.8
	install -p -m 644 -o root -g root man/update-passwd.pl.8 \
		debian/tmp/usr/share/man/pl/man8/update-passwd.8
	install -p -m 644 -o root -g root man/update-passwd.ru.8 \
		debian/tmp/usr/share/man/ru/man8/update-passwd.8
	gzip -9 debian/tmp/usr/share/man/man8/* \
		debian/tmp/usr/share/man/fr/man8/* \
		debian/tmp/usr/share/man/pl/man8/* \
		debian/tmp/usr/share/man/ru/man8/*

	install -d -m 755 -o root -g root debian/tmp/usr/share/base-passwd
	install -p -m 644 -o root -g root passwd.master \
		debian/tmp/usr/share/base-passwd/
	install -p -m 644 -o root -g root group.master \
		debian/tmp/usr/share/base-passwd/

	install -d -m 755 -o root -g root debian/tmp$(docdir)
	install -p -m 644 -o root -g root debian/changelog debian/tmp$(docdir)/
	gzip -9 debian/tmp$(docdir)/*
	install -p -m 644 -o root -g root README debian/tmp$(docdir)/
	install -p -m 644 -o root -g root debian/copyright debian/tmp$(docdir)/
	install -p -m 644 -o root -g root \
		doc/users-and-groups.html doc/users-and-groups.txt \
		debian/tmp$(docdir)/
	gzip -9 debian/tmp$(docdir)/users-and-groups.txt

	install -d -m 755 -o root -g root debian/tmp/usr/share/doc-base
	install -p -m 644 -o root -g root debian/doc-base \
		debian/tmp/usr/share/doc-base/users-and-groups

	install -d -m 755 -o root -g root debian/tmp/usr/share/lintian/overrides
	install -p -m 644 -o root -g root debian/lintian \
		debian/tmp/usr/share/lintian/overrides/base-passwd

	install -d -m 755 -o root -g root debian/tmp/DEBIAN
	install -p -m 755 -o root -g root debian/postinst debian/tmp/DEBIAN/
	install -p -m 755 -o root -g root debian/prerm debian/tmp/DEBIAN/

	dpkg-shlibdeps -dPre-Depends debian/tmp/usr/sbin/update-passwd
	dpkg-gencontrol -isp
	(cd debian/tmp && \
		find . -name DEBIAN -prune -o -type f -printf '%P\0' | \
		xargs -r0 md5sum) > debian/tmp/DEBIAN/md5sums
	chown root:root debian/tmp/DEBIAN/md5sums
	chmod 644 debian/tmp/DEBIAN/md5sums
	dpkg --build debian/tmp ..

## base-passwd 3.5.22

=== debian/changelog ===
base-passwd (3.5.22) unstable; urgency=low

  * Compress files using gzip -n (cf. debhelper 6.0.6).
  * Remove explicit calls to install-docs (cf. debhelper 7.2.3).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Sep 2009 00:07:19 +0100

=== debian/control ===
Source: base-passwd
Section: admin
Priority: required
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.6.0
Build-Depends: sgmltools-lite, w3m, po4a
Vcs-Bzr: http://bzr.debian.org/users/cjwatson/base-passwd/trunk

Package: base-passwd
Architecture: any
Depends: ${shlibs:Pre-Depends}
Essential: yes
Replaces: base
Description: Debian base system master password and group files
 These are the canonical master copies of the user database files
 (/etc/passwd and /etc/group), containing the Debian-allocated user and
 group IDs. The update-passwd tool is provided to keep the system databases
 synchronized with these master files.

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 		debian/tmp/usr/share/man/pl/man8/update-passwd.8
 	install -p -m 644 -o root -g root man/update-passwd.ru.8 \
 		debian/tmp/usr/share/man/ru/man8/update-passwd.8
-	gzip -9 debian/tmp/usr/share/man/man8/* \
+	gzip -9n debian/tmp/usr/share/man/man8/* \
 		debian/tmp/usr/share/man/fr/man8/* \
 		debian/tmp/usr/share/man/pl/man8/* \
 		debian/tmp/usr/share/man/ru/man8/*
@@ -88,13 +88,13 @@
 
 	install -d -m 755 -o root -g root debian/tmp$(docdir)
 	install -p -m 644 -o root -g root debian/changelog debian/tmp$(docdir)/
-	gzip -9 debian/tmp$(docdir)/*
+	gzip -9n debian/tmp$(docdir)/*
 	install -p -m 644 -o root -g root README debian/tmp$(docdir)/
 	install -p -m 644 -o root -g root debian/copyright debian/tmp$(docdir)/
 	install -p -m 644 -o root -g root \
 		doc/users-and-groups.html doc/users-and-groups.txt \
 		debian/tmp$(docdir)/
-	gzip -9 debian/tmp$(docdir)/users-and-groups.txt
+	gzip -9n debian/tmp$(docdir)/users-and-groups.txt
 
 	install -d -m 755 -o root -g root debian/tmp/usr/share/doc-base
 	install -p -m 644 -o root -g root debian/doc-base \
@@ -106,7 +106,6 @@
 
 	install -d -m 755 -o root -g root debian/tmp/DEBIAN
 	install -p -m 755 -o root -g root debian/postinst debian/tmp/DEBIAN/
-	install -p -m 755 -o root -g root debian/prerm debian/tmp/DEBIAN/
 
 	dpkg-shlibdeps -dPre-Depends debian/tmp/usr/sbin/update-passwd
 	dpkg-gencontrol -isp

## base-passwd 3.5.23

=== debian/changelog ===
base-passwd (3.5.23) unstable; urgency=low

  * Convert to source format 3.0 (native).
  * Update to current DEP-5 copyright proposal (thanks, Kyle Nitzsche; part
    of LP #610108).
  * Remove unused Lintian overrides.
  * Add translations of update-passwd(8):
    - Spanish (thanks, Omar Campagne; closes: #604455).
    - Japanese (thanks, KURASAWA Nozomu; closes: #614377).
    - German (thanks, Helge Kreutzmann; closes: #625898).
  * Allocate gid 64040-64044 (grsec-tpe, grsec-sock-all, grsec-sock-clt,
    grsec-sock-srv, grsec-proc) for linux-grsec-base, by request of
    Yves-Alexis Perez.
  * Update Vcs-Bzr field for Alioth changes.
  * Allow cross-building (thanks, Peter Pearse and Wookey; closes: #631954).
  * Add build-arch and build-indep targets.
  * Fix typo in description of -v in update-passwd(8), and unfuzzy
    translations (thanks, Helge Kreutzmann; closes: #625900).

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Jul 2011 12:52:47 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.0
 Build-Depends: sgmltools-lite, w3m, po4a
-Vcs-Bzr: http://bzr.debian.org/users/cjwatson/base-passwd/trunk
+Vcs-Bzr: http://anonscm.debian.org/bzr/users/cjwatson/base-passwd/trunk
 
 Package: base-passwd
 Architecture: any

## base-passwd 3.5.24

=== debian/changelog ===
base-passwd (3.5.24) unstable; urgency=low

  * Mark base-passwd Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 Nov 2011 13:13:39 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 Package: base-passwd
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Pre-Depends}
 Essential: yes
 Replaces: base

=== debian/rules ===
--- 
+++ 
@@ -13,15 +13,21 @@
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
   confflags += --build=$(DEB_HOST_GNU_TYPE)
+  STRIP = strip
 else
   confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+  STRIP = $(DEB_HOST_GNU_TYPE)-strip
 endif
 
-.PHONY: all build
-all build: Makefile
+.PHONY: all build build-arch
+all build build-arch: Makefile
 	$(MAKE) 
 	$(MAKE) -C doc
 	$(MAKE) -C man
+
+.PHONY: build-indep
+build-indep:
+	@echo Nothing to do
 
 .PHONY: clean
 clean:
@@ -58,25 +64,37 @@
 	install -p -m 755 -o root -g root update-passwd debian/tmp/usr/sbin/
 
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	strip --strip-unneeded --remove-section=.comment \
+	$(STRIP) --strip-unneeded --remove-section=.comment \
 		--remove-section=.note debian/tmp/usr/sbin/update-passwd
 endif
 
 	install -d -m 755 -o root -g root \
 		debian/tmp/usr/share/man/man8 \
+		debian/tmp/usr/share/man/de/man8 \
+		debian/tmp/usr/share/man/es/man8 \
 		debian/tmp/usr/share/man/fr/man8 \
+		debian/tmp/usr/share/man/ja/man8 \
 		debian/tmp/usr/share/man/pl/man8 \
 		debian/tmp/usr/share/man/ru/man8
 	install -p -m 644 -o root -g root man/update-passwd.8 \
 		debian/tmp/usr/share/man/man8/
+	install -p -m 644 -o root -g root man/update-passwd.de.8 \
+		debian/tmp/usr/share/man/de/man8/update-passwd.8
+	install -p -m 644 -o root -g root man/update-passwd.es.8 \
+		debian/tmp/usr/share/man/es/man8/update-passwd.8
 	install -p -m 644 -o root -g root man/update-passwd.fr.8 \
 		debian/tmp/usr/share/man/fr/man8/update-passwd.8
+	install -p -m 644 -o root -g root man/update-passwd.ja.8 \
+		debian/tmp/usr/share/man/ja/man8/update-passwd.8
 	install -p -m 644 -o root -g root man/update-passwd.pl.8 \
 		debian/tmp/usr/share/man/pl/man8/update-passwd.8
 	install -p -m 644 -o root -g root man/update-passwd.ru.8 \
 		debian/tmp/usr/share/man/ru/man8/update-passwd.8
 	gzip -9n debian/tmp/usr/share/man/man8/* \
+		debian/tmp/usr/share/man/de/man8/* \
+		debian/tmp/usr/share/man/es/man8/* \
 		debian/tmp/usr/share/man/fr/man8/* \
+		debian/tmp/usr/share/man/ja/man8/* \
 		debian/tmp/usr/share/man/pl/man8/* \
 		debian/tmp/usr/share/man/ru/man8/*
 
@@ -100,10 +118,6 @@
 	install -p -m 644 -o root -g root debian/doc-base \
 		debian/tmp/usr/share/doc-base/users-and-groups
 
-	install -d -m 755 -o root -g root debian/tmp/usr/share/lintian/overrides
-	install -p -m 644 -o root -g root debian/lintian \
-		debian/tmp/usr/share/lintian/overrides/base-passwd
-
 	install -d -m 755 -o root -g root debian/tmp/DEBIAN
 	install -p -m 755 -o root -g root debian/postinst debian/tmp/DEBIAN/

## base-passwd 3.5.26

=== debian/changelog ===
base-passwd (3.5.26) unstable; urgency=low

  * Build-depend on dpkg (>= 1.16.4) | sgml-base (<< 1.26+nmu2) to ensure
    that #675613 does not cause incorrect generation of documentation
    (closes: #678570).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Jun 2012 09:35:04 +0100

base-passwd (3.5.25) unstable; urgency=low

  * users-and-groups: Document historical meaning of sys user/group (thanks
    to Mantas M. for the tip).
  * Use dpkg-buildflags to enable hardening options (based on a patch from
    Moritz Muehlenhoff; closes: #655501).
  * Update users-and-groups documentation of the sudo group to describe
    current behaviour and mention pkexec (thanks, Luca Capello; closes:
    #650553).

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 11:40:25 +0100

## base-passwd 3.5.29

=== doc/Makefile ===
DOCS := users-and-groups.html users-and-groups.txt

all: $(DOCS)

clean:
	rm -f $(DOCS)

%.html: %.sgml
	sgmltools -b onehtml $<

%.txt: %.sgml
	sgmltools -b txt $<

=== debian/changelog ===
base-passwd (3.5.29) unstable; urgency=low

  * Use dh-autoreconf.
  * Switch to git; adjust Vcs-* fields.
  * Only update POT/PO files at clean time if man/Makefile exists.

 -- Colin Watson <cjwatson@debian.org>  Wed, 01 Jan 2014 16:31:23 +0000

base-passwd (3.5.28) unstable; urgency=low

  * Force gzip compression for .deb, to avoid causing problems for
    debootstrap on non-Debian-based systems following dpkg 1.17.0.

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Aug 2013 08:40:39 +0100

base-passwd (3.5.27) unstable; urgency=low

  * Update to Autoconf 2.69.
  * Convert packaging to a modern debhelper style.  The original reason for
    avoiding helper tools in base-passwd was to ease bootstrapping; but
    nowadays the sensible way to bootstrap is to cross-build, and all the
    helper tools are Multi-Arch: foreign so can safely be used in
    cross-building environments.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Aug 2013 11:04:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: required
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.6.0
-Build-Depends: sgmltools-lite, w3m, po4a
-Vcs-Bzr: http://anonscm.debian.org/bzr/users/cjwatson/base-passwd/trunk
+Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, sgmltools-lite, dpkg (>= 1.16.4) | sgml-base (<< 1.26+nmu2), w3m, po4a
+Vcs-Git: git://anonscm.debian.org/users/cjwatson/base-passwd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/base-passwd.git
 
 Package: base-passwd
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Pre-Depends}
+Depends: ${shlibs:Pre-Depends}, ${misc:Depends}
 Essential: yes
 Replaces: base
 Description: Debian base system master password and group files

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --with autoreconf

export DEB_CFLAGS_MAINT_APPEND := -Wall

override_dh_auto_clean:
	# make sure the POT and POs are up to date
	[ ! -f man/Makefile ] || $(MAKE) -C man update
	-$(MAKE) mrproper

override_dh_shlibdeps:
	dh_shlibdeps -- -dPre-Depends

override_dh_builddeb:
	dh_builddeb -- -Zgzip

## base-passwd 3.5.33

=== debian/changelog ===
base-passwd (3.5.33) unstable; urgency=medium

  * Debconf translations:
    - French (thanks, Steve Petruzzello; closes: #736506).
    - German (thanks, Chris Leick; closes: #738363).
    - Japanese (thanks, victory; closes: #740040).

 -- Colin Watson <cjwatson@debian.org>  Wed, 09 Apr 2014 18:35:41 +0100

base-passwd (3.5.32) unstable; urgency=medium

  * Debconf translations:
    - Portuguese (thanks, Américo Monteiro; closes: #735036).
    - Russian (thanks, Yuri Kozlov; closes: #735480).
  * update-passwd(8) translations:
    - German (thanks, Helge Kreutzmann; closes: #735149).
    - Portuguese (thanks, Américo Monteiro; closes: #735247).

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2014 13:06:09 +0000

base-passwd (3.5.31) unstable; urgency=medium

  * Pick up version number for "update-passwd --version" from autoconf,
    rather than having a separate manually-updated and out-of-date
    version.h.
  * Convert hand-crafted Makefiles to Automake.
  * users-and-groups: Add a little more commentary on gnats.

 -- Colin Watson <cjwatson@debian.org>  Fri, 10 Jan 2014 13:39:58 +0000

base-passwd (3.5.30) unstable; urgency=medium

  [ Colin Watson ]
  * Remove config.h.in and configure, now autogenerated by dh-autoreconf.
  * Change the shell of all global static users other than root (which
    retains /bin/sh) and sync (as /bin/sync is rather harmless) to
    /usr/sbin/nologin (closes: #274229; LP: #216813, #248844).
  * Policy version 3.9.5.

  [ Russ Allbery ]
  * Add support for debconf prompting to update-passwd (closes: #184979).

 -- Colin Watson <cjwatson@debian.org>  Tue, 07 Jan 2014 15:41:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: required
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.6.0
-Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, sgmltools-lite, dpkg (>= 1.16.4) | sgml-base (<< 1.26+nmu2), w3m, po4a
+Standards-Version: 3.9.5
+Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, sgmltools-lite, dpkg (>= 1.16.4) | sgml-base (<< 1.26+nmu2), w3m, po4a, libdebconfclient0-dev
 Vcs-Git: git://anonscm.debian.org/users/cjwatson/base-passwd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/base-passwd.git
 
@@ -11,6 +11,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Pre-Depends}, ${misc:Depends}
+Recommends: ${misc:Recommends}
 Essential: yes
 Replaces: base
 Description: Debian base system master password and group files

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ --with autoreconf

export DEB_CFLAGS_MAINT_APPEND := -Wall

override_dh_installdebconf:
	touch debian/base-passwd.substvars
	mv debian/base-passwd.substvars debian/base-passwd.substvars.real
	dh_installdebconf
	sed 's/^misc:Depends=/misc:Recommends=/' \
		debian/base-passwd.substvars \
		>debian/base-passwd.substvars.real
	mv debian/base-passwd.substvars.real debian/base-passwd.substvars

override_dh_shlibdeps:
	dh_shlibdeps -- -dPre-Depends

override_dh_builddeb:
	dh_builddeb -- -Zgzip

## base-passwd 3.5.39

=== debian/changelog ===
base-passwd (3.5.39) unstable; urgency=medium

  * Policy version 3.9.6: no changes required.
  * Build with large file support.

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Jan 2016 15:03:22 +0000

base-passwd (3.5.38) unstable; urgency=medium

  [ Colin Watson ]
  * Simplify dpkg (>= 1.16.4) | sgml-base (<< 1.26+nmu2) build-dependency
    (see changelog for 3.5.26) to just dpkg (>= 1.16.4), since that was some
    time ago and wheezy has a sufficient version now, and the more elaborate
    form causes a complaint from debcheck.
  * Allocate uid/gid 64045 for ceph object storage, by request of Gaudenz
    Steinlin.
  * Allocate uid/gid 64050 for the Evergreen ILS, by request of Robin H.
    Johnson.

  [ Juan Picca ]
  * Make documentation build reproducible (closes: #792520).

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jul 2015 13:26:42 +0100

base-passwd (3.5.37) unstable; urgency=medium

  * Debconf translations:
    - Dutch (thanks, Frans Spiesschaert; closes: #765361).
    - Danish (thanks, Joe Hansen; closes: #765853).
  * Copy /etc/passwd and /etc/group from the master files in the preinst on
    initial install, to be more tolerant of bootstrapping tools that
    configure the Essential set in slightly different orders (based on a
    patch from Michael Tautschnig; see #766459 and #767999).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Nov 2014 15:44:29 +0000

base-passwd (3.5.36) unstable; urgency=medium

  * Update Vcs-Browser URL yet again.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2014 17:21:43 +0100

base-passwd (3.5.35) unstable; urgency=medium

  * Build with all hardening options (thanks, Markus).

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2014 18:15:08 +0100

base-passwd (3.5.34) unstable; urgency=medium

  * Debconf translations:
    - Italian (thanks, Beatrice Torracca; closes: #744344).
  * Update Vcs-Browser URL for alioth cgit.

 -- Colin Watson <cjwatson@debian.org>  Sat, 30 Aug 2014 18:10:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: required
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, sgmltools-lite, dpkg (>= 1.16.4) | sgml-base (<< 1.26+nmu2), w3m, po4a, libdebconfclient0-dev
+Standards-Version: 3.9.6
+Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, sgmltools-lite, dpkg (>= 1.16.4), w3m, po4a, libdebconfclient0-dev
 Vcs-Git: git://anonscm.debian.org/users/cjwatson/base-passwd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/cjwatson/base-passwd.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/base-passwd.git/
 
 Package: base-passwd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 %:
 	dh $@ --with autoreconf
 
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CFLAGS_MAINT_APPEND := -Wall
 
 override_dh_installdebconf:
@@ -16,5 +17,11 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -- -dPre-Depends
 
+override_dh_installdeb:
+	dh_installdeb
+	sed -e '/@PASSWD@/ {' -e 'r passwd.master' -e 'd' -e '}' \
+	    -e '/@GROUP@/ {' -e 'r group.master' -e 'd' -e '}' \
+	    -i debian/base-passwd/DEBIAN/preinst
+
 override_dh_builddeb:
 	dh_builddeb -- -Zgzip

## base-passwd 3.5.40

=== debian/changelog ===
base-passwd (3.5.40) unstable; urgency=medium

  * Use HTTPS for git URLs.
  * Debconf translations:
    - Brazilian Portuguese (thanks, José de Figueiredo; closes: #815514).
  * update-passwd(8) translations:
    - Japanese (thanks, Takuma Yamada; closes: #819211).
  * Stop forcing gzip compression for .deb, as the vast majority of the rest
    of the base system is now xz anyway.
  * Policy version 3.9.8: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Aug 2016 09:21:34 +0100

## base-passwd 3.5.44

=== debian/changelog ===
base-passwd (3.5.44) unstable; urgency=medium

  * users-and-groups: Remove apparently-unfounded rumour that
    /var/spool/cups is owned by group sys (thanks, Sven Joachim; closes:
    #615259).

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Sep 2017 22:48:16 +0100

base-passwd (3.5.43) unstable; urgency=medium

  * users-and-groups: Remove haldaemon (closes: #851455).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Jan 2017 15:52:12 +0000

base-passwd (3.5.42) unstable; urgency=medium

  * update-passwd(8) translations:
    - French (thanks, Baptiste Jammet; closes: #844657).

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 Dec 2016 20:47:28 +0000

base-passwd (3.5.41) unstable; urgency=medium

  * Allocate uid/gid 64055 for libvirt guest migration support, by request
    of Mauricio Faria de Oliveira (closes: #843881, LP: #1637601).

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Nov 2016 21:45:48 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: required
 Maintainer: Colin Watson <cjwatson@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, sgmltools-lite, dpkg (>= 1.16.4), w3m, po4a, libdebconfclient0-dev
-Vcs-Git: git://anonscm.debian.org/users/cjwatson/base-passwd.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/cjwatson/base-passwd.git/
+Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/base-passwd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/base-passwd.git/
 
 Package: base-passwd
 Architecture: any

## base-passwd 3.5.45

=== debian/changelog ===
base-passwd (3.5.45) unstable; urgency=medium

  * Set Rules-Requires-Root: no.
  * Allocate uid/gid 64060, 64061, and 64062 to nova, cinder, and glance
    respectively, by request of James Page (closes: #884178).
  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sun, 15 Apr 2018 16:18:11 +0100

## base-passwd 3.5.46

=== debian/changelog ===
base-passwd (3.5.46) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Jelmer Vernooĳ ]
  * Use correct machine-readable copyright file URI.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2019 19:10:55 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, sgmltools-lite, dpkg (>= 1.16.4), w3m, po4a, libdebconfclient0-dev
-Vcs-Git: https://anonscm.debian.org/git/users/cjwatson/base-passwd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/users/cjwatson/base-passwd.git/
+Vcs-Git: https://salsa.debian.org/debian/base-passwd.git
+Vcs-Browser: https://salsa.debian.org/debian/base-passwd
+Rules-Requires-Root: no
 
 Package: base-passwd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,3 @@
 	sed -e '/@PASSWD@/ {' -e 'r passwd.master' -e 'd' -e '}' \
 	    -e '/@GROUP@/ {' -e 'r group.master' -e 'd' -e '}' \
 	    -i debian/base-passwd/DEBIAN/preinst
-
-override_dh_builddeb:
-	dh_builddeb -- -Zgzip

## base-passwd 3.5.46A~5.0.0.202006021545

=== debian/changelog ===
base-passwd (3.5.46A~5.0.0.202006021545) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00-create-home-for-nobody-below-var-lib

 -- Univention builddaemon <buildd@univention.de>  Tue, 02 Jun 2020 15:45:59 +0200

## base-passwd 3.5.46A~5.0.2.202203011945

=== debian/changelog ===
base-passwd (3.5.46A~5.0.2.202203011945) ucs5-0-2-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00-create-home-for-nobody-below-var-lib

 -- Univention builddaemon <buildd@univention.de>  Tue, 01 Mar 2022 19:45:32 +0100

## base-passwd 3.5.46+nmu1

=== debian/changelog ===
base-passwd (3.5.46+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 10:29:02 +0800

## base-passwd 3.5.47

=== debian/changelog ===
base-passwd (3.5.47) unstable; urgency=medium

  [ Colin Watson ]
  * Use debhelper-compat instead of debian/compat.
  * Adjust wildcards in debian/copyright so that all files are matched by at
    least one paragraph.

  [ Debian Janitor ]
  * debian/copyright: Replace commas with whitespace to separate items
    in Files paragraph.
  * Update copyright file header to use current field names (Name =>
    Upstream-Name, Maintainer => Upstream-Contact)
  * Bump debhelper from old 9 to 12.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Dimitri John Ledkov ]
  * Switch from sgmltools-lite to docbook-utils.

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Dec 2019 23:51:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: required
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: dpkg-dev (>= 1.15.7~), debhelper (>= 9~), dh-autoreconf, sgmltools-lite, dpkg (>= 1.16.4), w3m, po4a, libdebconfclient0-dev
+Build-Depends: dpkg-dev (>= 1.15.7~), debhelper-compat (= 12), docbook-utils, dpkg (>= 1.16.4), w3m, po4a, libdebconfclient0-dev
 Vcs-Git: https://salsa.debian.org/debian/base-passwd.git
 Vcs-Browser: https://salsa.debian.org/debian/base-passwd
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CFLAGS_MAINT_APPEND := -Wall

## base-passwd 3.5.49

=== debian/changelog ===
base-passwd (3.5.49) unstable; urgency=medium

  [ Bastian Germann ]
  * d/copyright: Fix public-domain paragraph (closes: #972495, LP: #610108).

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Feb 2021 17:48:56 +0000

base-passwd (3.5.48) unstable; urgency=medium

  [ Colin Watson ]
  * Change ircd's home directory from /var/run/ircd to /run/ircd (closes:
    #946884).
  * users-and-groups: Refer to /run/utmp rather than /var/run/utmp.

  [ Sven Joachim ]
  * Use mktemp rather than tempfile in the postinst script.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Oct 2020 17:36:41 +0100

## base-passwd 3.5.49ubuntu1

=== debian/changelog ===
base-passwd (3.5.49ubuntu1) hirsute; urgency=medium

  * update-passwd.c: Skip debconf question when changing irc's home
    directory from /var/run/ircd to /run/ircd, since these are equivalent
    (LP: #1916651)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Jul 2021 09:33:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: base-passwd
 Section: admin
 Priority: required
-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: dpkg-dev (>= 1.15.7~), debhelper-compat (= 12), docbook-utils, dpkg (>= 1.16.4), w3m, po4a, libdebconfclient0-dev
 Vcs-Git: https://salsa.debian.org/debian/base-passwd.git

## base-passwd 3.5.51

=== debian/changelog ===
base-passwd (3.5.51) unstable; urgency=medium

  [ Raf Czlonka ]
  * update-passwd.8: Environment variables are 'set'.

  [ Brian Murray ]
  * update-passwd.c: Skip debconf question when changing irc's home
    directory from /var/run/ircd to /run/ircd, since these are equivalent
    (closes: #990879).

 -- Colin Watson <cjwatson@debian.org>  Sat, 10 Jul 2021 12:57:43 +0100

base-passwd (3.5.50) unstable; urgency=medium

  * Allocate uid/gid 64065 to gnocchi, by request of Billy Olsen (closes:
    #983635).
  * Debconf translations:
    - Spanish (thanks, Camaleón; closes: #987337).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 May 2021 11:23:55 +0100

## base-passwd 3.5.51A~5.1.0.202303091428

=== debian/changelog ===
base-passwd (3.5.51A~5.1.0.202303091428) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00-create-home-for-nobody-below-var-lib

 -- Univention builddaemon <buildd@univention.de>  Thu, 09 Mar 2023 14:28:42 +0100

## base-passwd 3.5.52

=== debian/changelog ===
base-passwd (3.5.52) unstable; urgency=medium

  [ Colin Watson ]
  * update-passwd.8: Document that backup copies of modified files are left
    with the extension ".org" (closes: #993717).

  [ Johannes Schauer Marin Rodrigues ]
  * Support DPKG_ROOT in preinst and postinst (closes: #990122).

 -- Colin Watson <cjwatson@debian.org>  Fri, 24 Sep 2021 22:02:16 +0100

## base-passwd 3.5.52build1

=== debian/changelog ===
base-passwd (3.5.52build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:42:40 +0100

## base-passwd 3.6.0

=== debian/changelog ===
base-passwd (3.6.0) unstable; urgency=medium

  [ Colin Watson ]
  * update-passwd(8) translations:
    - German (thanks, Helge Kreutzmann; closes: #995724).
  * Upgrade to debhelper v13.
  * Simplify some debhelper overrides slightly.
  * users-and-groups:
    - Update copyright years.
    - Rename ssh group to _ssh, matching openssh 1:8.4p1-6.
    - Document libvirt group (thanks, Guido Günther; closes: #929133).
  * Stop creating the gnats user and group on new installations (closes:
    #897264).  It will not be automatically removed from existing
    installations.

  [ Yue Tao ]
  * update-passwd.c: set walk to walk->next before removing (closes:
    #1000796).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg and dpkg-dev.

  [ Jonathan Hettwer ]
  * implement SELinux awareness (closes: #982906)

  [ Peter Kjellerstedt ]
  * Make it possible to build without debconf support or documentation
    generation.

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Aug 2022 12:14:12 +0100

## base-passwd 3.6.1

=== debian/changelog ===
base-passwd (3.6.1) unstable; urgency=medium

  [ Colin Watson ]
  * passwd.master: Add _apt user, in order to eventually allow dropping
    adduser out of Essential-plus-apt (closes: #969631).  Note that this
    currently makes no attempt to migrate existing installations to the new
    uid, since a number of things like TLS certificates and firewall rules
    may depend on the existing uid.
  * debian/postinst: Fix several shellcheck issues.

  [ Christian Göttsche ]
  * update-passwd.c:
    - print filename on fclose error
    - use correct filename in copy_filemodes
    - drop t flag from fopen
    - open temporary file exclusively
  * replace obsolete autoconf macro

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 Sep 2022 11:22:51 +0100

=== debian/control ===
Source: base-passwd
Section: admin
Priority: required
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper-compat (= 13),
               docbook-utils,
               libdebconfclient0-dev,
               libselinux1-dev [linux-any],
               po4a,
               w3m,
Vcs-Git: https://salsa.debian.org/debian/base-passwd.git
Vcs-Browser: https://salsa.debian.org/debian/base-passwd
Rules-Requires-Root: no

Package: base-passwd
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Pre-Depends},
Recommends: ${misc:Recommends},
Essential: yes
Replaces: base,
Description: Debian base system master password and group files
 These are the canonical master copies of the user database files
 (/etc/passwd and /etc/group), containing the Debian-allocated user and
 group IDs. The update-passwd tool is provided to keep the system databases
 synchronized with these master files.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_APPEND := -Wall

execute_before_dh_installdebconf:
	touch debian/base-passwd.substvars
	mv debian/base-passwd.substvars debian/base-passwd.substvars.real

execute_after_dh_installdebconf:
	sed 's/^misc:Depends=/misc:Recommends=/' \
		debian/base-passwd.substvars \
		>debian/base-passwd.substvars.real
	mv debian/base-passwd.substvars.real debian/base-passwd.substvars

override_dh_shlibdeps:
	dh_shlibdeps -- -dPre-Depends

execute_after_dh_installdeb:
	sed -e '/@PASSWD@/ {' -e 'r passwd.master' -e 'd' -e '}' \
	    -e '/@GROUP@/ {' -e 'r group.master' -e 'd' -e '}' \
	    -i debian/base-passwd/DEBIAN/preinst

## base-passwd 3.6.1A~5.2.0.202303132156

=== debian/changelog ===
base-passwd (3.6.1A~5.2.0.202303132156) ucs5-2-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00-create-home-for-nobody-below-var-lib

 -- Univention builddaemon <buildd@univention.de>  Mon, 13 Mar 2023 21:56:05 +0100

## base-passwd 3.6.3

=== debian/changelog ===
base-passwd (3.6.3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix non-Linux cross-builds (closes: #1057055).

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Nov 2023 09:09:27 +0000

base-passwd (3.6.2) unstable; urgency=medium

  [ Peter Kjellerstedt ]
  * Make it possible to configure whether to use SELinux or not.

  [ Gioele Barabucci ]
  * d/postinst: Remove code for upgrades from outdated version 3.2.2.
  * d/control: Remove unused w3m build dependency (closes: #1051810).
  * Support <nodoc> build profile (closes: #1051809).

  [ Colin Watson ]
  * Debconf translations:
    - Romanian (thanks, Remus-Gabriel Chelu; closes: #1031149).
    - Swedish (thanks, Peter Kvillegård; closes: #1050440).
  * Explicitly build-depend on docbook, since otherwise the build fails if
    docbook-xml happens to be installed before installing build-dependencies
    (closes: #1033422).

  [ Samuel Thibault ]
  * Fix non-Linux builds (closes: #1054098).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Oct 2023 23:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper-compat (= 13),
-               docbook-utils,
+               docbook <!nodoc>,
+               docbook-utils <!nodoc>,
                libdebconfclient0-dev,
                libselinux1-dev [linux-any],
                po4a,
-               w3m,
 Vcs-Git: https://salsa.debian.org/debian/base-passwd.git
 Vcs-Browser: https://salsa.debian.org/debian/base-passwd
 Rules-Requires-Root: no

## base-passwd 3.6.3build1

=== debian/changelog ===
base-passwd (3.6.3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: base-passwd
 Section: admin
 Priority: required
-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper-compat (= 13),
                docbook <!nodoc>,

## base-passwd 3.6.4

=== debian/changelog ===
base-passwd (3.6.4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Ensure that /etc/subuid and /etc/subgid exist (closes: #1074121).

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Jul 2024 12:20:04 +0100

## base-passwd 3.6.5

=== debian/changelog ===
base-passwd (3.6.5) unstable; urgency=medium

  [ Colin Watson ]
  * Apply X-Style: black.
  * Add Romanian translation of update-passwd(8) (thanks, Remus-Gabriel
    Chelu; closes: #1055383).

  [ Maks Mishin ]
  * Fix potential descriptor leaks.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Oct 2024 18:26:50 +0100

=== debian/control ===
Source: base-passwd
Section: admin
Priority: required
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 3.9.8
Build-Depends:
 debhelper-compat (= 13),
 docbook <!nodoc>,
 docbook-utils <!nodoc>,
 libdebconfclient0-dev,
 libselinux1-dev [linux-any],
 po4a,
Vcs-Git: https://salsa.debian.org/debian/base-passwd.git
Vcs-Browser: https://salsa.debian.org/debian/base-passwd
Rules-Requires-Root: no
X-Style: black

Package: base-passwd
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Pre-Depends},
Recommends:
 ${misc:Recommends},
Essential: yes
Replaces:
 base,
Description: Debian base system master password and group files
 These are the canonical master copies of the user database files
 (/etc/passwd and /etc/group), containing the Debian-allocated user and
 group IDs. The update-passwd tool is provided to keep the system databases
 synchronized with these master files.

## base-passwd 3.6.6

=== debian/changelog ===
base-passwd (3.6.6) unstable; urgency=medium

  * Move to team maintenance under pkg-shadow-devel.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Dec 2024 13:43:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: base-passwd
 Section: admin
 Priority: required
-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
+Uploaders:
+ Colin Watson <cjwatson@debian.org>,
 Standards-Version: 3.9.8
 Build-Depends:
  debhelper-compat (= 13),

## base-passwd 3.6.7

=== debian/changelog ===
base-passwd (3.6.7) unstable; urgency=medium

  [ Marc Haber ]
  * Add myself to Uploaders.

  [ Colin Watson ]
  * Debconf translations:
    - Catalan (thanks, Carles Pina i Estany; closes: #1101110).

 -- Colin Watson <cjwatson@debian.org>  Sun, 23 Mar 2025 15:30:08 +0000

## base-passwd 3.6.8

=== debian/changelog ===
base-passwd (3.6.8) unstable; urgency=medium

  * Debconf translations:
    - Turkish (thanks, Nuri KÜÇÜKLER; closes: #1102464).
  * update-passwd(8) translations:
    - French (thanks, Baptiste Jammet; closes: #1119914).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Nov 2025 11:03:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders:
  Colin Watson <cjwatson@debian.org>,
+ Marc Haber <mh+debian-packages@zugschlus.de>,
 Standards-Version: 3.9.8
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,19 @@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_CFLAGS_MAINT_APPEND := -Wall
+
+confflags =
+
+ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+confflags += --disable-docs
+endif
+
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+confflags += --disable-selinux
+endif
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(confflags)
 
 execute_before_dh_installdebconf:
 	touch debian/base-passwd.substvars
